Installation

The recommended way to install BoxPacker is to use Composer. From the command line simply execute the following to add dvdoug/boxpacker to your project’s composer.json file. Composer will automatically take care of downloading the source and configuring an autoloader:

composer require dvdoug/boxpacker

If you don’t want to use Composer, the code is available to download from GitHub

Requirements

BoxPacker v4 is compatible with PHP 7.3+

Note

Still running an older version of PHP? No problem! BoxPacker v3 is compatible with PHP 7.1 and up and BoxPacker v2 is compatible with PHP 5.4 and up.

These older versions are still maintained and use the same core packing algorithm as v4, however lack certain features which are not possible to implement in a backwards-compatible manner.

Versioning

BoxPacker follows Semantic Versioning. For details about differences between releases please see What’s new